package org.jboss.cache.buddyreplication.mvcc;

import org.jboss.cache.config.Configuration.NodeLockingScheme;
import org.testng.annotations.Test;

@Test(groups = {"functional", "mvcc"})
public class GravitationCleanupTest extends org.jboss.cache.buddyreplication.GravitationCleanupTest
{
   @Override
   protected NodeLockingScheme getNonOptimisticLockingScheme()
   {
      return NodeLockingScheme.MVCC;
   }

   @Override
   public void testStaleRegionOnDataOwnerOptimistic()
   {
      // noop
   }

   @Override
   public void testStaleRegionOnBuddyOptimistic()
   {
      // noop
   }
}
